/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File: CRAPCOD.C
 *
 * Nummer kruispunt:        1
 * Regelprogramma vri:      Voorbeeldregeling Fiets- en voetgangersoversteek 
 *
 * Datum:                   20 januari 1996
 * Gewijzigd:               14 maart 2003 
 *                          - aanpassing aan Flash
 *                          - aanpassing HFRVG.INC
 *                          8 september 2003
 *                          - aanpassing aan 1.07.14
 * versie:                  3.1
 */

#include "crtypes.h"
#include "crapcod.h"
#include "craptab.h"
#include "ccie_int.h"
#include "crapdef.h"

#include "hfrvg.inc"      /* standaard: hulpfunctie rood voor groen optie */

#ifdef pc_omgeving
#include "crfutils.h"   /* tbv printxy-commando's in Flash */
#endif

/* ================================================================
 * overige voorwaarden
 * ================================================================
 */

void init_bij_inschakelen(void)
{
}

void voorwaarden_per_seconde(void)
{
}

void overige_voorwaarden(void)
{

/* GELIJKSTART 24/33/34 */
HFRVG(SG24, RVG24);
HFRVG(SG33, RVG33);
HFRVG(SG34, RVG34);

/* zichtbaar maken werking fiets- voetgangersoversteek */
#ifdef pc_omgeving
printxy (0, 0, "HF(RVG24): %2d  RVG_OP(SG24): %3d", HF(RVG24), RVG_OP(SG24));
printxy (0, 1, "HF(RVG33): %2d  RVG_OP(SG33): %3d", HF(RVG33), RVG_OP(SG33));
printxy (0, 2, "HF(RVG34): %2d  RVG_OP(SG34): %3d", HF(RVG34), RVG_OP(SG34));
printxy (0, 4, "HF(DK33):  %2d", HF(DK33));
printxy (0, 5, "HF(DK34):  %2d", HF(DK34));
printxy (0, 7, "TIJD(T_NALOOP33_34) (33->34):%3d", waarde_TIJD(T_NALOOP33_34));
printxy (0, 8, "TIJD(T_NALOOP34_33) (34->33):%3d", waarde_TIJD(T_NALOOP34_33));
#endif

} /* einde overige voorwaarden */
