/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File: CRAPDEF.H
 *
 * Nummer kruispunt:        1
 * Regelprogramma vri:      Voorbeeldregeling Fiets- en voetgangersoversteek 
 *
 * Datum:                   20 januari 1996
 * Gewijzigd:               14 maart 2003 
 *                          - aanpassing aan Flash
 *                          - aanpassing HFRVG.INC
 *                          8 september 2003
 *                          - aanpassing aan 1.07.14
 * versie:                  3.1
 */

/* declaratie arraynummers voor blokken */
#define BK1    0
#define BK2    1
#define BK3    2

#define NUMBK  3

/* declaratie arraynummers voor signaalgroepen */
#define SG02   0
#define SG03   1
#define SG04   2
#define SG06   3
#define SG07   4
#define SG08   5
#define SG24   6
#define SG33   7
#define SG34   8

#define NUMSG  9

/* declaratie arraynummers voor detectoren */
#define SG02_1                    0
#define SG02_2                    1
#define SG02_3                    2
#define SG03_1                    3
#define SG03_2                    4
#define SG04_1                    5
#define SG04_2                    6
#define SG04_3                    7
#define SG06_1                    8
#define SG06_2                    9
#define SG06_3                   10
#define SG07_1                   11
#define SG07_2                   12
#define SG08_1                   13
#define SG08_2                   14
#define SG08_3                   15
#define SG24_1                   16
#define SG24_2                   17
#define SG33_1                   18
#define SG33_2                   19
#define SG34_1                   20
#define SG34_2                   21

#define NUMD                     22

/* declaratie arraynummers voor tijden */
#define T_NALOOP33_34             0
#define T_NALOOP34_33             1
#define T_PPA_08                  2

#define NUMT                      3

/* declaratie arraynummers voor hulpfuncties */
#define DK33                      0
#define DK34                      1
#define RVG24                     2
#define RVG33                     3
#define RVG34                     4

#define NUMHF                     5

/* declaratie arraynummers voor klokken */
#define NUMKL                     0

/* declaratie arraynummers voor schakelaars */
#define NUMSCH                    0

/* declaratie arraynummers voor tellers */
#define NUMTL                     0

/* declaratie arraynummers voor extra geheel getal parameters */
#define NUMEGGP                   0

/* declaratie arraynummers voor extra parameters */
#define NUMEP                     0

#define NUMOV                    22
